# My Project: Controller Class Reference

Loading...
Searching...
No Matches
Controller Class Reference

`#include <Controller.hh>`

Collaboration diagram for Controller:

## Public Member Functions

| Controller (int, char *[])
void | start ()

## Private Attributes

std::unique_ptr< Algo > | _algo

## Constructor & Destructor Documentation

## Controller()

Controller::Controller | ( | int | argc,
|  | char * | argv[] )

explicit

References _algo.

## Member Function Documentation

## start()

void Controller::start | ( |  | ) |

References _algo.

## Member Data Documentation

## _algo

std::unique_ptr<Algo> Controller::_algo

private

Referenced by Controller(), and start().

The documentation for this class was generated from the following files:

- include/Controller.hh
- src/Controller.cc